# Better Shotgun

Improves the vanilla shotgun by replacing the normal hit detection with a pellet spread.\
This is a temporary version of the HexiBetterShotgun that works for V50 of the game.\
As soon as the original creator of the mod releases an update I will deprecate this mod.

## What does it do?

Shotguns will now fire 10 pellets rather than either a single hitscan (Nutcracker) or a massive hit area (player). Each pellet also has a tracer so you can visually see if the pellets hit or not.

Damage is based on number of pellets that hit; 20hp per pellet to players, or hits/2+1 (1,2,2,3,3...) shovels worth rounded down to enemies.

## Why?

Vanilla hit detection for shotguns is super weird and results in things like hitting things beside or behind you, as well as seemingly not hitting at all despite something being directly in front of you.

Nutcrackers also had separate hit detection logic which could be cheesed by hiding behind thin pipes. They now use the same pellet system the player will have, so doing this is no longer a guarantee like an actual wall is.

Shotguns should be far more consistent up close, and usually less lethal at range due to having spread.

## Config

Configurable aspects:

- Number of pellets, split between tight and loose
- Spread of pellets in degrees, split between tight and loose